ServerEvents.recipes(e=> {

    //原油探测器
    e.remove({ output: 'createdieselgenerators:oil_scanner' })
    e.shaped('createdieselgenerators:oil_scanner',[
     'UCU', 
     'ECE', 
     ' E '
    ], {
      U: 'create:sturdy_sheet',
      E: 'naturesaura:infused_iron',
      C: 'create:electron_tube'
    })
    //引擎活塞
    e.remove({ output: 'createdieselgenerators:engine_piston'})
    e.shaped('4x createdieselgenerators:engine_piston',[
     'UCU', 
     'UC ', 
     '  E'
    ], {
      U: '#forge:plates',
      E: 'create:shaft',
      C: '#forge:ingots/zinc'
    })


    
   
  
  
      
      
  
  
  
  
  })
  